Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.sgtsv

scipy.linalg.lapack.sgtsv(dl, d, du, b[, overwrite_dl, overwrite_d, overwrite_du, overwrite_b]) = <fortran function sgtsv>

  Wrapper for `sgtsv`.

  Parameters:
    dl input rank-1 array(‘f’) with bounds (-1 + n)
    d input rank-1 array(‘f’) with bounds (n)
    du input rank-1 array(‘f’) with bounds (-1 + n)
    b input rank-2 array(‘f’) with bounds (n,nrhs)
  Returns:
    du2 rank-1 array(‘f’) with bounds (-1 + n) and dl storage
    d rank-1 array(‘f’) with bounds (n)
    du rank-1 array(‘f’) with bounds (-1 + n)
    x rank-2 array(‘f’) with bounds (n,nrhs) and b storage
    info int
  Other Parameters:
    overwrite_dl input int, optional

      Default: 0

    overwrite_d input int, optional

      Default: 0

    overwrite_du input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0